> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cadanapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> Get all persons



## OpenAPI

````yaml /openapi/workforce-management.yaml get /v1/persons
openapi: 3.0.0
info:
  description: APIs for interacting with Cadana Payroll Platform
  version: 1.0.0
  title: Business Workforce Management
  termsOfService: https://cadanapay.com/terms-and-conditions
  contact:
    email: api@cadanapay.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.cadanapay.com
    description: Prod Server
  - url: https://dev-api.cadanapay.com
    description: Dev Server
security:
  - Authorization: []
tags:
  - name: Custom Auth
    description: APIs for interacting with Custom Authentication
  - name: Persons
    description: APIs for interacting with the HR module
  - name: Milestones
    description: APIs for milestone-based contractor pay
  - name: Instant Pay
    description: APIs for interacting with Instant Pay functionality
  - name: Users
    description: APIs for interacting with employee/contractor Cadana accounts
  - name: Files
    description: APIs for interacting with file uploads
  - name: Payrolls
    description: APIs for interacting with Payroll
  - name: Platform
    description: Platform APIs for interacting with businesses
  - name: Businesses
    description: APIs for interacting with Business
  - name: Contracts
    description: APIs for interacting with contracts
  - name: Sandbox
    description: APIs for relevant sandbox simulations
  - name: Invoices
    description: APIs for interacting with invoices
  - name: Reimbursements
    description: APIs for interacting with reimbursements
  - name: Entities
    description: >-
      APIs for managing legal sub-entities (subsidiaries, branches) under a
      parent business
paths:
  /v1/persons:
    get:
      tags:
        - Persons
      summary: List
      description: Get all persons
      operationId: getPersons
      parameters:
        - in: query
          name: page
          schema:
            type: integer
            minimum: 1
          description: Page number to retrieve
        - in: query
          name: limit
          schema:
            type: integer
            minimum: 1
            maximum: 100
          description: Maximum number of items to return per page
        - in: query
          name: email
          schema:
            type: string
          description: Filter by email
        - $ref: '#/components/parameters/XMultiTenantKey'
      responses:
        '200':
          $ref: '#/components/responses/GetPersonsResponse'
        '400':
          $ref: '#/components/responses/BadRequestError'
        5XX:
          $ref: '#/components/responses/InternalError'
      security:
        - Authorization: []
components:
  parameters:
    XMultiTenantKey:
      name: X-MultiTenantKey
      in: header
      required: false
      schema:
        type: string
      description: >-
        Required when using a Platform API token. The tenant key identifying
        which business to operate on.
  responses:
    GetPersonsResponse:
      description: get persons response
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                type: array
                items:
                  $ref: '#/components/schemas/personEntry'
              meta:
                $ref: '#/components/schemas/meta'
    BadRequestError:
      description: Bad input provided by client
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BadRequestError'
    InternalError:
      description: Internal error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/InternalError'
  schemas:
    personEntry:
      allOf:
        - $ref: '#/components/schemas/CreatePersonRequest'
      properties:
        id:
          $ref: '#/components/schemas/uuid'
    meta:
      type: object
      description: Meta about the pagination
      properties:
        limit:
          type: number
          example: 1
        currentPage:
          type: number
          example: 1
        skipped:
          type: number
          example: 1
        pages:
          type: number
          example: 1
        itemCount:
          type: number
          example: 1
    BadRequestError:
      description: Bad input provided by client
      allOf:
        - $ref: '#/components/schemas/Error'
        - type: object
          properties:
            params:
              description: A map for meta data around the error that occurred
              type: object
      example:
        code: invalid_request_body
        message: The request body provided is not valid
        params:
          field: Value is invalid.
    InternalError:
      description: Internal server error
      allOf:
        - $ref: '#/components/schemas/Error'
      example:
        code: internal_error
        message: An unexpected error occurred. Please try again later.
    CreatePersonRequest:
      description: Create person request payload
      type: object
      allOf:
        - $ref: '#/components/schemas/basicInfo'
        - $ref: '#/components/schemas/tags'
      required:
        - type
        - email
        - firstName
        - lastName
        - address
        - compInfo
      properties:
        businessName:
          type: string
          description: Business name, required if contractor type is business
          example: Wayne Enterprise
        type:
          type: string
          example: CONTRACTOR
          description: Type of the person, we allow contractors and employees
          enum:
            - EMPLOYEE
            - CONTRACTOR
        contractorType:
          type: string
          example: INDIVIDUAL
          description: >-
            Type of the contractor, only required if person is a contractor
            type, we allow individual and business type contractors
          enum:
            - INDIVIDUAL
            - BUSINESS
        address:
          $ref: '#/components/schemas/address'
        compInfo:
          $ref: '#/components/schemas/compInfo'
        jobInfo:
          $ref: '#/components/schemas/jobInfo'
        metadata:
          type: object
          additionalProperties: true
          description: Optional metadata you can store as key-value pairs
          example:
            customField1: value1
            customField2: value2
    uuid:
      type: string
      format: uuid
      example: 8ef9a712-cdae-4110-b1ea-9ba95abbee6e
    Error:
      type: object
      properties:
        code:
          description: A machine parsable error code
          type: string
          enum:
            - invalid_request_body
            - resource_not_found
            - forbidden
            - internal_error
        message:
          description: A human readable message describing the error
          type: string
    basicInfo:
      type: object
      required:
        - email
        - firstName
        - lastName
      properties:
        firstName:
          type: string
          description: Person's first name
          example: John
        lastName:
          type: string
          description: Person's last name
          example: Doe
        email:
          type: string
          description: Person's email
        phoneNumber:
          $ref: '#/components/schemas/phoneNumber'
        metadata:
          type: object
          additionalProperties: true
          description: Optional metadata you can store as key-value pairs
          example:
            customField1: value1
            customField2: value2
    tags:
      type: object
      description: Any custom data you want to store
    address:
      type: object
      description: Address
      required:
        - countryCode
      properties:
        line1:
          type: string
          example: Street 1
        line2:
          type: string
          example: Apt 1
        city:
          type: string
          example: Gotham
        postalCode:
          type: string
          example: '10001'
        state:
          type: string
          example: NY
        countryCode:
          type: string
          example: US
    compInfo:
      type: object
      description: >-
        Person's compensation information, how much will they get paid, currency
        and frequency
      properties:
        type:
          type: string
          description: Person's compensation type
          example: net
          enum:
            - net
            - salaried
            - milestone
        salary:
          type: object
          description: Person's compensation amount
          allOf:
            - $ref: '#/components/schemas/amount'
        frequency:
          type: string
          description: Person's compensation frequency
          example: monthly
          enum:
            - hourly
            - daily
            - monthly
        employmentModel:
          type: string
          description: >-
            Specifies the employment model for the person. Set to "eor" for
            Employer of Record employees. When omitted, the person is treated as
            direct employment.
          example: eor
          enum:
            - eor
    jobInfo:
      type: object
      description: Person's job information, start date, job title, and employee number
      properties:
        startDate:
          type: string
          format: date
          example: '2023-01-01'
        employeeNumber:
          type: string
          example: '1'
        title:
          type: string
          example: Software Engineer
        department:
          type: string
          example: Product
        customFields:
          type: array
          description: A list of custom fields associated with the job information
          items:
            $ref: '#/components/schemas/customField'
        entityId:
          type: string
          format: uuid
          description: >-
            The legal entity this person is employed under. If omitted, the
            person is employed under the parent business.
          example: 37ad8c1e-0187-4e10-8c54-395e3385b4d2
    phoneNumber:
      type: object
      description: Person's phone number
      properties:
        countryCode:
          type: string
          example: '1'
        number:
          type: string
          example: '2345678901'
    amount:
      type: object
      required:
        - amount
        - currency
      properties:
        amount:
          type: integer
          description: value in lowest denomination
          example: 10000
        currency:
          type: string
          description: currency
          example: USD
    customField:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/uuid'
        name:
          type: string
          example: Tshirt Size
        value:
          type: string
          example: M
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      bearerFormat: API_SECRET_KEY

````